MAKECATALOG(1)

NAME
MakeCatalog - Make a catalog from labeled input images

SYNOPSIS
astmkcatalog [OPTION...] ASTRdata

DESCRIPTION
MakeCatalog is part of GNU Astronomy Utilities 0.18. MakeCatalog will create a catalog from an input, labeled, and noise images.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of MakeCatalog's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmkcatalog -P

Inputs/Outputs and options:
    $ info astmkcatalog

Full section in manual/book:
    $ info MakeCatalog

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

MakeCatalog options:

    Input:

--clumpshdu=STR
    Clump labels extension name or number.

--forcereadstd
    Read STD even if no columns need it.

-h, --hdu=STR/INT
    Extension name or number of input data.

-l, --clumpsfile=FITS
    Dataset containing clump labels.

--sigmaclip=FLT,FLT
    Sigma-clip column multiple and tolerance.

--skyhdu=STR
    Sky image extension name or number.

--stdhdu=STR
    Sky STD extension name or number.

--subtractsky
    Subtract the Sky dataset from the values.

-s, --insky=FITS/FLT
    Input Sky value or file.

-t, --instd=STR/FLT
    Sky standard deviation value or dataset.

--valueshdu=STR
    Name or number of extension containing values.

--variance
    STD input dataset is actually variance.

-v, --valuesfile=FITS
    Values/brightness dataset.

--zeropoint=FLT
    Zeropoint magnitude of input dataset.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-C, --clumpscat
    Make a clumps catalog also.

-D, --dontdelete
    Don't delete output if it exists.

--inbetweenints
    Keep rows (integer ids) with no labels.

-K, --keepinputdir
    Keep input directory for automatic output.

--noclumpsort
    Don't sort the clumps catalog by ID.

-o, --output=STR
    Output file name.

--sfmagarea=FLT
    Surface brightness area (in arcseconds^2).

--sfmagnsigma=FLT
    Surface brightness multiple of Sky STD.

--spectrum
    Object spectrum for cube (3D) datasets.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Upper limit magnitude settings:

--checkuplim=INT[,INT] Check random distribution for one label.

-e, --envseed
    Use GSL_RNG_SEED environment variable for seed.

--upmaskfile=FITS
    Mask image file name only for upper limit.

--upmaskhdu=STR
    Mask image HDU only for upper limit.

--upnsigma=FLT
    Multiple of sigma to define upperlimit.

--upnum=INT
    Number of randomly positioned samples

--uprange=INT,INT
    Range of random positions (pix) around target.

--upsigmaclip=FLT,FLT
    Sigma multiple and, tolerance or number.

    Settings for other columns:

--fracmax=FLT[,FLT]
    Fraction(s) in --fracmaxarea1 or --fracmaxarea2.

--spatialresolution=FLT
    Spatial resolution (for surface brightness error).

    Identifier columns

--idinhostobj
    ID of clump in host object.

-i, --ids
    All IDs of objects and clumps.

-j, --hostobjid
    ID of object hosting this clump.

--objid
    Object label/ID.

    Positional columns (pixel)

--areamaxv
    Number of pixels with maximum value.

--areaminv
    Number of pixels with minimum value.

--clumpsgeox
    Geometric center of all clumps in obj. (X).

--clumpsgeoy
    Geometric center of all clumps in obj. (Y).

--clumpsgeoz
    Geometric center of all clumps in obj. (Z).

--clumpsx
    Flux.wht center of all clumps in obj. (X).

--clumpsy
    Flux.wht center of all clumps in obj. (Y).

--clumpsz
    Flux.wht center of all clumps in obj. (Z).

--geox
    Geometric center in first FITS axis.

--geoy
    Geometric center in second FITS axis.

--geoz
    Geometric center in third FITS axis.

--maxvx
    Maximum value's X axis position

--maxvy
    Maximum value's Y axis position

--maxvz
    Maximum value's Z axis position

--maxx
    Maximum X axis position.

--maxy
    Maximum Y axis position.

--maxz
    Maximum Z axis position.

--minvx
    Minimum value's X axis position

--minvy
    Minimum value's Y axis position

--minvz
    Minimum value's Z axis position

--minx
    Minimum X axis position.

--miny
    Minimum Y axis position.

--minz
    Minimum Z axis position

-x, --x
    Flux weighted center in first FITS axis.

-y, --y
    Flux weighted center in second FITS axis.

-z, --z
    Flux weighted center in third FITS axis.

    Positional columns (WCS)

--clumpsgeow1
    Geometric center of all clumps in 1st WCS.

--clumpsgeow2
    Geometric center of all clumps in 2nd WCS.

--clumpsgeow3
    Geometric center of all clumps in 3rd WCS.

--clumpsw1
    Flux.wht center of all clumps in 1st WCS.

--clumpsw2
    Flux.wht center of all clumps in 2nd WCS.

--clumpsw3
    Flux.wht center of all clumps in 3rd WCS.

-d, --dec
    Flux weighted center declination.

--geow1
    Geometric center in first WCS axis.

--geow2
    Geometric center in second WCS axis.

--geow3
    Geometric center in third WCS axis.

-r, --ra
    Flux weighted center right ascension.

--w1
    Flux weighted center in first WCS axis.

--w2
    Flux weighted center in second WCS axis.

--w3
    Flux weighted center in third WCS axis.

    Brightness/magnitude related columns

--brightnesserr
    Error (1-sigma) in measuring brightness.

--brightnessnoriver
    Sky (not river) subtracted clump brightness.

-b, --brightness
    Brightness (sum of pixel values).

--clumpbrightness
    Brightness of clumps in an object.

--clumpsmagnitude
    Magnitude of all clumps in object.

-G, --magnitudeerr
    Magnitude error of objects or clumps.

--maximum
    Maximum value (mean of top three pixels)

--mean
    Mean of values in object/clump.

--median
    Median of values in object/clump.

-m, --magnitude
    Total magnitude of objects or clumps.

-n, --sn
    Signal to noise ratio of objects or clumps.

--riverave
    Average river value surrounding a clump.

--rivernum
    Number of river pixels around a clump.

--sigclip-mean
    Mean after Sigma-clipping

--sigclip-median
    Median after Sigma-clipping

--sigclip-number
    Number of pixels in Sigma-clipped measurement.

--sigclip-std
    Standard deviation after Sigma-clipping

--sky
    Sky value (per pixel).

--skystd
    Sky standard deviation (per pixel).

--std
    Standard dev. of values in object/clump.

--upperlimit
    Upper-limit value, use other options to config.

--upperlimitonesigma
    Upper-limit one sigma value.

--upperlimitquantile
    Quantile in random distribution (max 1).

--upperlimitsb
    Upper-limit surface brightness (mag/arcsec^2).

--upperlimitsigma
    Place in random distribution (sigma multiple).

--upperlimitskew
    (Mean-Median)/STD of random distribution.

-u, --upperlimitmag
    Upper-limit mag. use other options to config.

    Morphology/shape related columns

--areaarcsec2
    Area of labeled region in arcsec^2.

--areaxy
    Projected area in first two dimensions.

-a, --area
    Number of non-blank valued pixels.

-A, --semimajor
    RMS along major axis (in pixels).

-B, --semiminor
    RMS along minor axis (in pixels).

--clumpsarea
    Non-blank area covered by clumps.

-c, --numclumps
    Number of clumps in this object.

--fracmaxarea1
    Area containing 1st fraction of maximum.

--fracmaxarea2
    Area containing 2nd fraction of maximum.

--fracmaxradius1
    Radius calculated from --fracmaxarea1.

--fracmaxradius2
    Radius calculated from --fracmaxarea2.

--fracmaxsum1
    Sum of pixels brighter than 1st frac. of max.

--fracmaxsum2
    Sum of pixels brighter than 2nd frac. of max.

--fwhm
    Full width at half max (non-parametric).

--geoarea
    Area labled region (irrespective of value).

--geoareaxy
    Projected geoarea in first two dimensions.

--geoaxisratio
    Geometric axis ratio.

--geopositionangle
    Geometric position angle.

--geosemimajor
    RMS along major axis (ignoring value).

--geosemiminor
    RMS along minor axis (ignoring value).

--halfmaxarea
    No. pixels valued above half the max.

--halfmaxradius
    Radius at half the maximum (non-parametric).

--halfmaxsb
    Surface brightness within half the maximum.

--halfmaxsum
    Sum of pixels above half the maximum.

--halfsumarea
    Area containing half of --brightness.

--halfsumradius
    Radius calculated from --halfsumarea.

--halfsumsb
    Surface brightness within --halfsumarea.

-p, --positionangle
    Flux weighted position angle.

-Q, --axisratio
    Flux weighted axis ratio.

--sberror
    Surface brightness error (mag/arcsec^2).

--surfacebrightness
    Surface brightness (mag/arcsec^2).

--weightarea
    Area used for value weighted positions.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2022 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for MakeCatalog is maintained as a Texinfo manual. If the info and MakeCatalog programs are properly installed at your site, the command

    info MakeCatalog

should give you access to the complete manual.